### Method

# Foundry FileManager write_metadata

#### Declaration [src]

    DexFuture*
    foundry_file_manager_write_metadata (
      FoundryFileManager* self,
      GFile* file,
      GFileInfo* file_info
    )

#### Description [src]

`file_info` must only contain attributes starting with ‘metadata::’.

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the method.

`file_info`

  Type: `GFileInfo`

  A `GFileInfo`.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a boolean or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.